> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mail logs

# Mail logs

Paginated delivery rows for the authenticated user.

## GET `/v1/mail-logs`

**List mail logs**

Paginated delivery rows. Query: page (default 1), page\_size (default 20, max 100), campaign\_id, account\_id, campaign\_run\_id, status (pending | sending | sent | failed | deferred).

### Response fields

* **data** (`MailLogRow[]`) — Rows with optional joined campaign\_title, account\_name, …
* **page** (`number`) — Current page.
* **page\_size** (`number`) — Page size.
* **total** (`number`) — Total matching rows.

### Examples

#### 200 — OK

```json theme={null}
{
  "data": [],
  "page": 1,
  "page_size": 20,
  "total": 0
}
```

### cURL

```bash theme={null}
curl -sS -X GET "https://api.mailofly.com/v1/mail-logs?page=1&page_size=20&status=sent" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here"
```

## Related

* [Product: Mail logs](../product/mail-logs.md)
* [Campaigns API](campaigns.md)
* [← API overview](README.md)


## Related topics

- [Dart](/getting-started/dart.md)
- [Go](/getting-started/go.md)
- [Nodejs](/getting-started/nodejs.md)
- [Php](/getting-started/php.md)
- [Python](/getting-started/python.md)
